Subject: bug#79320: 30.2; Doc of `dolist'

From: Michael Heerdegen <[email-masked]>
Date: Tue, 02 Sep 2025 15:35:50 +0200

Eli Zaretskii <[email-masked]> writes:

> Where does the documentation say that the first argument to dolist
> _cannot_ be a dynamically-bounded variable?

It's not absolutely trivial what the semantics are.  It could be that
dolist always created a fresh lexical variable VAR of the same name
(although the docstring rather suggests that dolist directly uses the
given variable, and not some new variable of the same name of any kind).

Anyway, like Richard I think it could be good to add a hint nonetheless
because the fact and its consequences are probably not obvious to a lot
of users.

Michael.